Package org.eclipse.mat.hprof

## Class SeekableStream.UnclosableInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.eclipse.mat.hprof.SeekableStream.UnclosableInputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`

Enclosing class:
  SeekableStream

    public static class SeekableStream.UnclosableInputStream
    extends java.io.FilterInputStream

Wraps an `InputStream` so that close does not propagate to the underlying stream.

### Constructor Summary

Constructors
`UnclosableInputStream​(java.io.InputStream in)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`

### Methods inherited from class java.io.FilterInputStream

`available, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.io.InputStream

`nullInputStream, readAllBytes, readNBytes, readNBytes, transferTo`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnclosableInputStream

    public UnclosableInputStream​(java.io.InputStream in)

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.FilterInputStream`